| Home | Libraries | People | FAQ | More

#### basic_seq_packet_socket::wait_type

Inherited from socket_base.

Wait types.

    enum wait_type

###### Values

wait_read

  Wait for a socket to become ready to read.

wait_write

  Wait for a socket to become ready to write.

wait_error

  Wait for a socket to have error conditions pending.

For use with `basic_socket::wait()` and `basic_socket::async_wait()`.